On this page
No Headings
| Event | Trigger |
|---|---|
PAYMENT.CAPTURE.COMPLETED | A payment capture completes. |
PAYMENT.CAPTURE.DENIED | A payment capture is denied. |
CHECKOUT.PAYMENT-APPROVAL.REVERSED | PayPal reverses a payment capture. |
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/applications/webhooksapplication/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
curl -X POST "https://api-m.paypal.com/v1/notifications/v1/notifications/simulate-event" \ -H "Content-Type: application/json" \ -d '{ "event_type": "string" }'{
"id": "string",
"create_time": "2019-08-24T14:15:22Z",
"resource_type": "string",
"event_version": "string",
"event_type": "string",
"summary": "string",
"resource_version": "string",
"resource": {},
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}{
"name": "string",
"message": "string",
"debug_id": "string",
"information_link": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}The ID of the webhook. If omitted, the URL is required.
^[a-zA-Z0-9]+$length <= 50The URL for the webhook endpoint. If omitted, the webhook ID is required.
urilength <= 2048The event name. Specify one of the subscribed events. For each request, provide only one event.
^[a-zA-Z0-9.]+$length <= 50The identifier for event type ex: 1.0/2.0 etc.